Loading...
Searching...
No Matches
SLNAttribs.h File Reference
`#include <RDGeneral/export.h>`
`#include <string>`
`#include <vector>`
`#include <boost/smart_ptr.hpp>`

Go to the source code of this file.

## Classes

class | RDKit::SLNParse::AttribType

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::SLNParse

## Typedefs

typedef std::vector< std::pair< AttribCombineOp, boost::shared_ptr< AttribType > > > | RDKit::SLNParse::AttribListType

## Enumerations

enum | RDKit::SLNParse::AttribCombineOp { RDKit::SLNParse::AttribLowPriAnd = 0 , RDKit::SLNParse::AttribOr , RDKit::SLNParse::AttribAnd , RDKit::SLNParse::AttribNot }

## Functions

void | RDKit::SLNParse::parseAtomAttribs (Atom *atom, AttribListType attribs, bool doingQuery)
void | RDKit::SLNParse::parseFinalAtomAttribs (Atom *atom, bool doingQuery)
void | RDKit::SLNParse::parseBondAttribs (Bond *bond, AttribListType attribs, bool doingQuery)
void | RDKit::SLNParse::parseFinalBondAttribs (Bond *bond, bool doingQuery)
void | RDKit::SLNParse::parseMolAttribs (ROMol *mol, AttribListType attribs)
void | RDKit::SLNParse::adjustAtomChiralities (RWMol *mol)